Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000121 [libFirm] parser minor always 2013-09-09 16:31 2016-01-03 03:28
Reporter luzero View Status public  
Assigned To Matze
Priority normal Resolution fixed  
Status closed   Product Version
Summary 0000121: segfault with -O0 -fgcse on valid code
Description /usr/src/cparser/build/debug/cparser -O0 -fgcse -m32 -std=c99 -pthread -g -c -o out.o 000.c

#0 0x00000000004c44b8 in ir_verify_arr (arr=0x0) at ir/adt/array.c:26
0000001 0x00000000004fe068 in get_out_info (node=0xa6b700) at ir/be/bearch.h:166
0000002 0x00000000004fe0ca in arch_get_irn_register_req (node=0xa6b700)
    at ir/be/bearch.h:172
0000003 0x00000000004fe7d8 in collect_stack_nodes_walker (node=0xa6b700,
    data=0x7fffffffc090) at ir/be/bestack.c:259
0000004 0x000000000056fad1 in irg_walk_2_pre (node=0xa6b700,
    pre=0x4fe795 <collect_stack_nodes_walker>, env=0x7fffffffc090)
    at ir/ir/irgwalk.c:39
0000005 0x000000000056fb78 in irg_walk_2_pre (node=0xaa63e0,
    pre=0x4fe795 <collect_stack_nodes_walker>, env=0x7fffffffc090)
    at ir/ir/irgwalk.c:49
0000006 0x000000000056fb20 in irg_walk_2_pre (node=0xaa8720,
    pre=0x4fe795 <collect_stack_nodes_walker>, env=0x7fffffffc090)
    at ir/ir/irgwalk.c:44
0000007 0x000000000056fb78 in irg_walk_2_pre (node=0xaa6110,
    pre=0x4fe795 <collect_stack_nodes_walker>, env=0x7fffffffc090)
    at ir/ir/irgwalk.c:49
0000008 0x000000000056fb20 in irg_walk_2_pre (node=0xaa6290,
    pre=0x4fe795 <collect_stack_nodes_walker>, env=0x7fffffffc090)
---Type <return> to continue, or q <return> to quit---
    at ir/ir/irgwalk.c:44
0000009 0x000000000056fb78 in irg_walk_2_pre (node=0xaa0b70,
    pre=0x4fe795 <collect_stack_nodes_walker>, env=0x7fffffffc090)
    at ir/ir/irgwalk.c:49
0000010 0x000000000056fb20 in irg_walk_2_pre (node=0xaa11e0,
    pre=0x4fe795 <collect_stack_nodes_walker>, env=0x7fffffffc090)
    at ir/ir/irgwalk.c:44
#11 0x000000000056fb78 in irg_walk_2_pre (node=0xa9e780,
    pre=0x4fe795 <collect_stack_nodes_walker>, env=0x7fffffffc090)
    at ir/ir/irgwalk.c:49
0000012 0x000000000056fb20 in irg_walk_2_pre (node=0xa9e910,
    pre=0x4fe795 <collect_stack_nodes_walker>, env=0x7fffffffc090)
    at ir/ir/irgwalk.c:44
#13 0x000000000056fdee in irg_walk_2 (node=0xa9e910,
    pre=0x4fe795 <collect_stack_nodes_walker>, post=0x0, env=0x7fffffffc090)
    at ir/ir/irgwalk.c:110
0000014 0x000000000056fe8c in irg_walk_core (node=0xa9e910,
    pre=0x4fe795 <collect_stack_nodes_walker>, post=0x0, env=0x7fffffffc090)
    at ir/ir/irgwalk.c:119
0000015 0x000000000056ff07 in irg_walk (node=0xa9e910,
---Type <return> to continue, or q <return> to quit---
    pre=0x4fe795 <collect_stack_nodes_walker>, post=0x0, env=0x7fffffffc090)
    at ir/ir/irgwalk.c:131
0000016 0x000000000056ffc5 in irg_walk_graph (irg=0xa61d70,
    pre=0x4fe795 <collect_stack_nodes_walker>, post=0x0, env=0x7fffffffc090)
    at ir/ir/irgwalk.c:142
0000017 0x00000000004fe976 in be_abi_fix_stack_nodes (irg=0xa61d70)
    at ir/be/bestack.c:289
0000018 0x00000000004f352c in be_main_loop (file_handle=0xa704c0,
    cup_name=0x7fffffffe00b "tmp5/000.c") at ir/be/bemain.c:580
0000019 0x00000000004f3af0 in be_main (file_handle=0xa704c0,
    cup_name=0x7fffffffe00b "tmp5/000.c") at ir/be/bemain.c:688
0000020 0x0000000000445519 in generate_code (out=0xa704c0,
    input_filename=0x7fffffffe00b "tmp5/000.c") at driver/firm_opt.c:803
0000021 0x000000000044eccc in compilation_loop (mode=MODE_COMPILE_ASSEMBLE_LINK,
    units=0xa06010, standard=STANDARD_C99, out=0xa4bd30) at main.c:1968
0000022 0x0000000000452fae in main (argc=6, argv=0x7fffffffdbf8) at main.c:2805
Additional Information cparser: d3880c8
firm: bf61ae8
Tags No tags attached.
Attached Files c file icon 000.c [^] (286 bytes) 2013-09-09 16:49
c file icon test.c [^] (79 bytes) 2013-09-13 10:15

- Relationships

-  Notes
(0000177)
Andreas Fried (reporter)
2013-09-13 10:15

test.c is a reduced test case for this bug.
(0000178)
UniQ (developer)
2013-09-13 10:40

I can reproduce this bug, even without -fgcse.
(0000188)
Matze (administrator)
2013-10-29 14:32

The issue which had indeed nothing to do with -fgcse should be fixed in 8374c9f6ab497f705100c83bb6bc817b45268d2f.

- Issue History
Date Modified Username Field Change
2013-09-09 16:31 luzero New Issue
2013-09-09 16:49 luzero File Added: 000.c
2013-09-13 10:15 Andreas Fried File Added: test.c
2013-09-13 10:15 Andreas Fried Note Added: 0000177
2013-09-13 10:40 UniQ Note Added: 0000178
2013-09-13 10:40 UniQ Status new => confirmed
2013-10-08 21:47 Matze Project cparser => libFirm
2013-10-29 14:32 Matze Note Added: 0000188
2013-10-29 14:32 Matze Assigned To => Matze
2013-10-29 14:32 Matze Status confirmed => resolved
2013-10-29 14:32 Matze Resolution open => fixed
2016-01-03 03:28 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker